<?php
/*---------------------------------------------------------------*/
/*
    Titre : Libere la mémoire utilisé dans les requetes MySQL                                                           
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=706
    Date dition     : 05 Dc 2004                                                                                        
    Date mise  jour : 23 Sept 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - refactoring du code en PHP 7                                                                                        
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

    $db_server = 'localhost'; // Adresse du serveur MySQL
    $db_name = '';            // Nom de la base de données
    $db_user_login = 'root';  // Nom de l'utilisateur
    $db_user_pass = '';       // Mot de passe de l'utilisateur

    // Ouvre une connexion au serveur MySQL
    $conn = mysqli_connect($db_server,$db_user_login, $db_user_pass, $db_name);


    // la requête
    $requete = "SELECT id FROM table WHERE id='exemple'";
    $result = $conn->query( $requete);

    // stock le résultat
    $row = mysqli_fetch_array($result);

    // Libère la mémoire utilisé dans les requêtes MySQL
    mysqli_free_result($result);

    // traitement
    echo $row['id'];
?>